Skip to main content
GET
/
accounts
/
user-login-data
Get user login data
curl --request GET \
  --url https://api.quiva.ai/accounts/user-login-data \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "account": {
      "name": "<string>",
      "id": "<string>",
      "display_name": "<string>",
      "root_email": "jsmith@example.com",
      "subscription_plan": "<string>",
      "emergency_credit": 123,
      "country": "<string>",
      "company_name": "<string>",
      "address": "<string>",
      "website": "<string>",
      "phone_number": "<string>",
      "scheduled_for_deletion": true,
      "deletion_date": "2023-11-07T05:31:56Z",
      "region": "<string>",
      "provider": "<string>",
      "bstier": 123,
      "cloud": true,
      "hub": true
    },
    "user": "jsmith@example.com",
    "user_id": "<string>",
    "role": "<string>",
    "first_name": "<string>",
    "last_name": "<string>",
    "mfa": {
      "passkey_enabled": true,
      "totp_enabled": true
    },
    "theme": "<string>",
    "sound": true,
    "profile_image": {
      "name": "<string>",
      "contentType": "<string>"
    },
    "notification_preferences": {
      "task_status_changes": {
        "enabled": true,
        "channels": {
          "in_app": true,
          "email": false,
          "push": true
        }
      },
      "task_assignments": {
        "enabled": true,
        "channels": {
          "in_app": true,
          "email": false,
          "push": true
        }
      },
      "task_mentions": {
        "enabled": true,
        "channels": {
          "in_app": true,
          "email": false,
          "push": true
        }
      },
      "task_watcher_updates": {
        "enabled": true,
        "channels": {
          "in_app": true,
          "email": false,
          "push": true
        }
      },
      "batch_mode": "daily",
      "quiet_hours": {
        "enabled": true,
        "start": "22:00",
        "end": "07:00",
        "timezone": "Europe/London"
      }
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

User login data retrieved successfully

data
object
required